osl::eval::ml::BishopEffectPieceKingRelative Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | List of all members
osl::eval::ml::BishopEffectPieceKingRelative Class Reference

`#include <majorPiece.h>`

Inheritance diagram for osl::eval::ml::BishopEffectPieceKingRelative:
[legend]
Collaboration diagram for osl::eval::ml::BishopEffectPieceKingRelative:
[legend]

## Public Types
enum | { ONE_DIM = 19584, DIM = ONE_DIM * 2*EvalStages }

## Static Public Member Functions
static void | setUp (const Weights &weights)

## Additional Inherited Members
Private Types inherited from osl::eval::ml::BishopEffectBase
enum | { ONE_DIM = 612, DIM = ONE_DIM * 2 }
Private Member Functions inherited from osl::eval::ml::BishopEffectBase
template<osl::Player P>
MultiInt | evalOne (const NumEffectState &state, Square bishop, Square myKing, Square opKing, Square ulp, Square urp, Square dlp, Square drp, bool isP)
Static Private Member Functions inherited from osl::eval::ml::BishopEffectBase
static MultiInt | eval (const NumEffectState &state)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, Square bishop, Square myKing, Square opKing, Square ulp, Square urp, Square dlp, Square drp, bool isP)
static int | index (int x_diff, int y_diff, bool ur, bool promoted)
static int | index0 (int x_diff, int y_diff, PtypeO ptypeO, bool ur, bool promoted)
static int | index1 (Square king, Square from, PtypeO ptypeO, bool isP)
| 黒の角(馬)からの利きのある駒のindex {attack,defense}_{ul,ur,dl,dr} へのアクセスに使う from - 駒の位置 king - 玉の位置 ptypeO - 駒の種類，白からの利きの場合は反転． (BLACK,PTYPE_EDGE)もあり得る isP - 馬の場合 More...
static int | index1 (int x_diff, int y_diff, PtypeO ptypeO, bool isP)
| 黒の角(馬)からの利きのある駒のindex {attack,defense}_{ul,ur,dl,dr} へのアクセスに使う (x_diff, y_diff) - 玉を基準に見た駒の相対位置 ptypeO - 駒の種類，白からの利きの場合は反転． (BLACK,PTYPE_EDGE)もあり得る isP - 馬の場合 More...
static int | index2 (Square king, Square from, bool isP)
| 黒の角(馬)がある場所は空マスでないのでその分を補正するテーブル {attack,defense}_nospace へのアクセス king - 玉の位置 from - 角(馬)の位置 isP - 馬の場合 More...
static int | index2 (int x_diff, int y_diff, bool isP)
| 黒の角(馬)がある場所は空マスでないのでその分を補正するテーブル {attack,defense}_nospace へのアクセス (x_diff, y_diff) - 玉を基準にしてみた角(馬)の相対位置 isP - 馬の場合 More...

## Detailed Description

Definition at line 421 of file majorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 424 of file majorPiece.h.

## Member Function Documentation

void osl::eval::ml::BishopEffectPieceKingRelative::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 571 of file majorPiece.cc.

References osl::getPtype(), osl::NStages, osl::PTYPE_EDGE, osl::PTYPE_EMPTY, osl::PTYPEO_EDGE, osl::PTYPEO_MAX, osl::PTYPEO_MIN, and osl::eval::ml::Weights::value().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc